### Function

# Gtk MapListModelMapFunc

#### Declaration

    GObject*
    MapListModelMapFunc (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

User function that is called to map an `item` of the original model to an item expected by the map model.

The returned items must conform to the item type of the model they are used with.

#### Parameters

`item` | `GObject*`
| The item to map.
| The called function takes ownership of the data, and is responsible for freeing it.
`user_data` | `gpointer`
| User data.

#### Return value

Returns: | `GObject*`
| The item to map to.
| The caller of the function takes ownership of the data, and is responsible for freeing it.